INTERFACE
SUBROUTINE ISO_GEMS_AD(ptamoy, ptamoyb, ptray, pizmoy, pizmoyb, pbetal,&
 & pbetalb, prm, pgb, ppsl, ptodaer, ptodaerb, ptodray, pxf, pxfb) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE rt6svalues
 REAL(KIND=JPRB), INTENT(IN) :: prm(-kmu:kmu)
 REAL(KIND=JPRB), INTENT(IN) :: pgb(-kmu:kmu)
 REAL(KIND=JPRB),INTENT(IN) :: ptamoy(0:knt)
 REAL(KIND=JPRB),INTENT(INOUT) :: ptamoyb(0:knt)
 REAL(KIND=JPRB), INTENT(IN) :: ptray(0:knt)
 REAL(KIND=JPRB),INTENT(IN) :: pizmoy(0:knt)
 REAL(KIND=JPRB), INTENT(INOUT) :: pizmoyb(0:knt)
 REAL(KIND=JPRB), INTENT(IN) :: pbetal(0:knt, 0:knang), ptodaer, ptodray
 REAL(KIND=JPRB), INTENT(INOUT) :: pbetalb(0:knt, 0:knang), ptodaerb
 REAL(KIND=JPRB), INTENT(IN) :: ppsl(0:knang, -1:knang, -kmu:kmu)
 REAL(KIND=JPRB), INTENT(IN) :: pxf(-1:1)
 REAL(KIND=JPRB), INTENT(INOUT) :: pxfb(-1:1)
END SUBROUTINE ISO_GEMS_AD
END INTERFACE
